do 
   local MyUnitIdTable = { 
	  'dalk003',
	  'delk002',
      'drlk001',
	  'drlk005',
	  'dslk004',
	  'tcaa0301',
	  'tcas0201',
	  'tcas0202',
	  'tcas0301',
	  'tcau0101',
	  'tcau0201',
	  'tcau0401',
	  'tcba0401',
	  'tcbc0201',
	  'tclc0301',
	  'tclu0302',
	  'tcls0101',
      'tcsa0201',
      'tcsc0101',
      'tcsc0201',
      'tcsc0401',
	  'tcss0201',
	  'tcss0202',
      'tcss0301',
      'tcss0403',
	  'tcsu0201',
	  'tcsu0302',
	  'tcsu0303',
   } 
   --unit icon must be in /icons/units/. Put the full path to the /icons/ folder in here - note no / on the end! 
   local MyIconPath = "/mods/DeepBlue/textures"
    
   local function IsMyUnit(bpid) 
      for i, v in MyUnitIdTable do 
         if v == bpid then 
            return true 
         end 
      end 
      return false 
   end 
    
   local oldUpdateWindow = UpdateWindow 
   function UpdateWindow(info) 
      oldUpdateWindow(info) 
      if IsMyUnit(info.blueprintId) and DiskGetFileInfo(MyIconPath .. '/icons/units/' .. info.blueprintId.. '_icon.dds') then 
         controls.icon:SetTexture(MyIconPath .. '/icons/units/' .. info.blueprintId .. '_icon.dds') 
      end 
   end 
end